MemberReferenceTree.ReferenceMode (Java SE 23 & JDK 23)
Description: declaration: module: jdk.compiler, package: com.sun.source.tree, interface: MemberReferenceTree, enum: ReferenceMode
Keywords: com.sun.source.tree.MemberReferenceTree.ReferenceMode class

# Enum Class MemberReferenceTree.ReferenceMode

java.lang.Object
java.lang.Enum<MemberReferenceTree.ReferenceMode>
com.sun.source.tree.MemberReferenceTree.ReferenceMode

All Implemented Interfaces:
  `Serializable`, `Comparable<MemberReferenceTree.ReferenceMode>`, `Constable`

Enclosing interface:
  `MemberReferenceTree`

public static enum MemberReferenceTree.ReferenceMode extends Enum<MemberReferenceTree.ReferenceMode>
There are two kinds of member references: (i) method references and (ii) constructor references

Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INVOKE`
  enum constant for method references.
  `NEW`
  enum constant for constructor references.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MemberReferenceTree.ReferenceMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MemberReferenceTree.ReferenceMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INVOKE

    public static final MemberReferenceTree.ReferenceMode INVOKE
    enum constant for method references.

  - ### NEW

    public static final MemberReferenceTree.ReferenceMode NEW
    enum constant for constructor references.

- ## Method Details

  - ### values

    public static MemberReferenceTree.ReferenceMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MemberReferenceTree.ReferenceMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null